/*
 *  The OpenDiamond Platform for Interactive Search
 *
 *  Copyright (c) 2009-2011 Carnegie Mellon University
 *  All rights reserved.
 *
 *  This software is distributed under the terms of the Eclipse Public
 *  License, Version 1.0 which can be found in the file named LICENSE.
 *  ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS SOFTWARE CONSTITUTES
 *  RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT
 */

package edu.cmu.cs.diamond.opendiamond;

import java.io.IOException;
import java.net.URI;
import java.net.URISyntaxException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

class XDR_blob_list {
    private final List<URI> uris;

    public XDR_blob_list(XDRGetter buf) throws IOException {
        uris = new ArrayList<URI>();
        int count = buf.getInt();
        try {
            for (int i = 0; i < count; i++) {
                uris.add(new URI(buf.getString()));
            }
        } catch (URISyntaxException e) {
            throw new IOException(e);
        }
    }

    public List<URI> getURIs() {
        return Collections.unmodifiableList(uris);
    }
}
